Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 183)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 190)
@@ -2904,22 +2341,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniws2
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiws2
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniws2
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiws2 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
@@ -2935,22 +2364,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwsususodz
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwsususodz
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwsususodz
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwsususodz 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if  
@@ -2965,22 +2386,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwspsodz
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwspsodz
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwspsodz
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwspsodz 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if 
@@ -2995,22 +2408,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwpeodz
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwpeodz
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwpeodz
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwpeodz 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
@@ -3039,5 +2444,6 @@
    if (count_var .EQ. 0) then
       print(" ")
-      print("The variables 'var=Â°"+var+"Â°' do not exist on your input file")
+      print("The variables 'var="+var+"' do not exist on your input file;")
+      print("be sure to have one comma berfore and after each variable")
       print(" ")
       exit
@@ -3048,75 +2454,27 @@
       string_len=new(12,integer)
       multi_dash=new(no_files,string)
-      if (.not. isvar("name_legend_1")) 
-         multi_legend(0)="  "+parameter(83) 
-      else
-         multi_legend(0)="  "+name_legend_1
-      end if 
+      multi_legend(0)="  "+name_legend_1
       string_len(0)=strlen(multi_legend(0))
-      if (.not. isvar("name_legend_2")) 
-         multi_legend(1)="  "+parameter(87) 
-      else
-         multi_legend(1)="  "+name_legend_2
-      end if 
+      multi_legend(1)="  "+name_legend_2 
       string_len(1)=strlen(multi_legend(1))
-      if (.not. isvar("name_legend_3")) 
-         multi_legend(2)="  "+parameter(91) 
-      else
-         multi_legend(2)="  "+name_legend_3
-      end if 
+      multi_legend(2)="  "+name_legend_3
       string_len(2)=strlen(multi_legend(2))
-      if (.not. isvar("name_legend_4")) 
-         multi_legend(3)="  "+parameter(95) 
-      else
-         multi_legend(3)="  "+name_legend_4
-      end if 
+      multi_legend(3)="  "+name_legend_4 
       string_len(3)=strlen(multi_legend(3))
-      if (.not. isvar("name_legend_5")) 
-         multi_legend(4)="  "+parameter(99) 
-      else
-         multi_legend(4)="  "+name_legend_5
-      end if 
+      multi_legend(4)="  "+name_legend_5 
       string_len(4)=strlen(multi_legend(4))
-      if (.not. isvar("name_legend_6")) 
-         multi_legend(5)="  "+parameter(103) 
-      else
-         multi_legend(5)="  "+name_legend_6
-      end if 
+      multi_legend(5)="  "+name_legend_6 
       string_len(5)=strlen(multi_legend(5))
-      if (.not. isvar("name_legend_7")) 
-         multi_legend(6)="  "+parameter(107) 
-      else
-         multi_legend(6)="  "+name_legend_7
-      end if
+      multi_legend(6)="  "+name_legend_7
       string_len(6)=strlen(multi_legend(6)) 
-      if (.not. isvar("name_legend_8")) 
-         multi_legend(7)="  "+parameter(111) 
-      else
-         multi_legend(7)="  "+name_legend_8
-      end if 
+      multi_legend(7)="  "+name_legend_8
       string_len(7)=strlen(multi_legend(7))
-      if (.not. isvar("name_legend_9")) 
-         multi_legend(8)="  "+parameter(115) 
-      else
-         multi_legend(8)="  "+name_legend_9
-      end if
+      multi_legend(8)="  "+name_legend_9
       string_len(8)=strlen(multi_legend(8)) 
-      if (.not. isvar("name_legend_10")) 
-         multi_legend(9)="  "+parameter(119) 
-      else
-         multi_legend(9)="  "+name_legend_10
-      end if 
+      multi_legend(9)="  "+name_legend_10
       string_len(9)=strlen(multi_legend(9))
-      if (.not. isvar("name_legend_11")) 
-         multi_legend(10)="  "+parameter(123) 
-      else
-         multi_legend(10)="  "+name_legend_11
-      end if 
+      multi_legend(10)="  "+name_legend_11 
       string_len(10)=strlen(multi_legend(10))
-      if (.not. isvar("name_legend_12")) 
-         multi_legend(11)="  "+parameter(127) 
-      else
-         multi_legend(11)="  "+name_legend_12
-      end if 
+      multi_legend(11)="  "+name_legend_12 
       string_len(11)=strlen(multi_legend(11))
       do ml=1,no_files
@@ -3235,10 +2593,5 @@
          end if
 
-         if (.not. isvar("var")) then
-            if (parameter(21) .NE. "variables") then
-               var=parameter(21)
-               check = isStrSubset( var,","+vNam(varn)+"," )
-            end if
-         else          
+         if (var .NE. "all") then      
             check = isStrSubset( var,","+vNam(varn)+"," )
          end if      
@@ -3280,19 +2633,11 @@
             res@trYMinF            = min_z
             res@trYMaxF            = max_z  
-            if (.not. isvar("xs")) then 
-               if (parameter(63) .NE. "x0") then
-                  res@trXMinF = stringtofloat(parameter(63))
-               else
-                  res@trXMinF = min(data(varn,:,:))
-               end if
+            if (xs .EQ. -1) then 
+               res@trXMinF = min(data(varn,:,:))
             else 
                res@trXMinF = xs
             end if
-            if (.not. isvar("xe")) then 
-               if (parameter(65) .NE. "xdim") then
-                  res@trXMaxF = stringtofloat(parameter(65))
-               else
-                  res@trXMaxF = max(data(varn,:,:))
-            end if
+            if (xe .EQ. -1) then 
+               res@trXMaxF = max(data(varn,:,:))
             else 
                res@trXMaxF = xe  
@@ -3304,19 +2649,11 @@
                   res@gsnLeftString      = "u, v and w"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniu,miniv,miniw/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniu,miniv,miniw/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiu,maxiv,maxiw/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiu,maxiv,maxiw/))
                   else 
                      res@trXMaxF = xe  
@@ -3355,19 +2692,11 @@
                   res@gsnLeftString      = "pt, vpt and lpt"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/minipt,minivpt,minilpt/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/minipt,minivpt,minilpt/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxipt,maxivpt,maxilpt/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxipt,maxivpt,maxilpt/))
                   else 
                      res@trXMaxF = xe  
@@ -3406,22 +2735,14 @@
                   res@gsnLeftString      = "q, qv and ql"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniq,miniqv,miniql/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniq,miniqv,miniql/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiq,maxiqv,maxiql/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiq,maxiqv,maxiql/))
                   else 
                      res@trXMaxF = xe  
-                  end if
+                  end if 
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
@@ -3458,23 +2779,15 @@
                   res@gsnLeftString      = "e and es"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/minie,minies/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/minie,minies/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxie,maxies/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxie,maxies/))
                   else 
                      res@trXMaxF = xe  
-                  end if
-
+                  end if 
+		  
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
@@ -3509,22 +2822,14 @@
                   res@gsnLeftString      = "km and kh"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/minikm,minikh/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/minikm,minikh/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxikm,maxikh/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxikm,maxikh/))
                   else 
                      res@trXMaxF = xe  
-                  end if
+                  end if 
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
@@ -3561,22 +2866,14 @@
                   res@gsnLeftString      = "wpup, wsus and wu"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniwpup,miniwsus,miniwu/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpup,miniwsus,miniwu/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiwpup,maxiwsus,maxiwu/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpup,maxiwsus,maxiwu/))
                   else 
                      res@trXMaxF = xe  
-                  end if
+                  end if  
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
@@ -3612,23 +2909,15 @@
                   res@gsnLeftString      = "wpvp, wsus and wv"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniwpvp,miniwsvs,miniwv/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpvp,miniwsvs,miniwv/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiwpvp,maxiwsvs,maxiwv/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpvp,maxiwsvs,maxiwv/))
                   else 
                      res@trXMaxF = xe  
                   end if
-
+		  
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
@@ -3663,22 +2952,14 @@
                   res@gsnLeftString      = "wpptp, wspts and wv"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniwpptp,miniwspts,miniwpt/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpptp,miniwspts,miniwpt/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiwpptp,maxiwspts,maxiwpt/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpptp,maxiwspts,maxiwpt/))
                   else 
                      res@trXMaxF = xe  
-                  end if
+                  end if 
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
@@ -3714,22 +2995,14 @@
                   res@gsnLeftString      = "wsptsBC and wptBC"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniwsptsBC,miniwptBC/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwsptsBC,miniwptBC/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiwsptsBC,maxiwptBC/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwsptsBC,maxiwptBC/))
                   else 
                      res@trXMaxF = xe  
-                  end if
+                  end if 
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
@@ -3765,23 +3038,15 @@
                   res@gsnLeftString      = "wpvptp, wsvpts and wv"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniwpvptp,miniwsvpts,miniwvpt/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpvptp,miniwsvpts,miniwvpt/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiwpvptp,maxiwsvpts,maxiwvpt/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpvptp,maxiwsvpts,maxiwvpt/))
                   else 
                      res@trXMaxF = xe  
-                  end if
-
+                  end if 
+		  
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
@@ -3816,23 +3081,15 @@
                   res@gsnLeftString      = "wpqp, wsqs and wq"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniwpqp,miniwsqs,miniwq/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpqp,miniwsqs,miniwq/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiwpqp,maxiwsqs,maxiwq/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpqp,maxiwsqs,maxiwq/))
                   else 
                      res@trXMaxF = xe  
-                  end if
-
+                  end if  
+		  
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
@@ -3867,23 +3124,15 @@
                   res@gsnLeftString      = "wpqvp, wsqvs and wqv"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniwpqp,miniwsqvs,miniwqv/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpqp,miniwsqvs,miniwqv/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiwpqp,maxiwsqvs,maxiwqv/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpqp,maxiwsqvs,maxiwqv/))
                   else 
                      res@trXMaxF = xe  
-                  end if
-
+                  end if 
+		  
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
@@ -3918,22 +3167,14 @@
                   res@gsnLeftString      = "wpsp, wsss and ws"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniwpsp,miniwsss,miniws/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpsp,miniwsss,miniws/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiwpsp,maxiwsss,maxiws/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpsp,maxiwsss,maxiws/))
                   else 
                      res@trXMaxF = xe  
-                  end if
+                  end if 
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
@@ -3969,22 +3210,14 @@
                   res@gsnLeftString      = "wpsap, wssas and wsa"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniwpsap,miniwssas,miniwsa/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpsap,miniwssas,miniwsa/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiwpsap,maxiwssas,maxiwsa/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpsap,maxiwssas,maxiwsa/))
                   else 
                      res@trXMaxF = xe  
-                  end if
+                  end if 
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
@@ -4021,23 +3254,15 @@
                   res@gsnLeftString      = "us2, vs2 and ws2"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/minius2,minivs2,miniws2/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/minius2,minivs2,miniws2/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxius2,maxivs2,maxiws2/))
-                     end if
-                  else 
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxius2,maxivs2,maxiws2/))
+		  else 
                      res@trXMaxF = xe  
-                  end if
-
+                  end if 
+		  
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
@@ -4073,23 +3298,15 @@
                   res@gsnLeftString      = "wsususodz, wspsodz and ws2"
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF = min((/miniwsususodz,miniwspsodz,miniwpeodz/))
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwsususodz,miniwspsodz,miniwpeodz/))
                   else 
                      res@trXMinF = xs
                   end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF = max((/maxiwsususodz,maxiwspsodz,maxiwpeodz/))
-                     end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwsususodz,maxiwspsodz,maxiwpeodz/))
                   else 
                      res@trXMaxF = xe  
-                  end if
-
+                  end if 
+		  
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
@@ -4126,5 +3343,7 @@
          end if
       end do 
-   end if     
+   end if 
+   
+   com_var_avail=new(count_var,string)    
 
    if (combine .EQ. 1) then
@@ -4145,10 +3364,5 @@
          end if
 
-         if (.not. isvar("var")) then
-            if (parameter(21) .NE. "variables") then
-               var=parameter(21)                
-               check = isStrSubset( var,","+vNam(varn)+"," )
-            end if
-         else          
+         if (var .NE. "all") then         
             check = isStrSubset( var,","+vNam(varn)+"," )
          end if      
@@ -4185,5 +3399,7 @@
 
             z=z/norm
-           
+	    
+	    com_var_avail(n_o)=vNam(varn)
+	    
             com=isStrSubset( c_var,","+vNam(varn)+"," )
         
